This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 817153 - Command completion should offer to complete current string
Command completion should offer to complete current string
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse-shelled (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 16:51 EDT by Jeff Johnston
Modified: 2012-05-26 02:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 02:54:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Johnston 2012-04-27 16:51:21 EDT
Description of problem:

eclipse-shelled has command completion but does not consider characters already typed in (e.g. ca ctrl->space brings up all suggestions and does not start with items beginning with ca such as cat

Version-Release number of selected component (if applicable):

eclipse-shelled-2.0.2-0.2.20120420svn.fc17
Comment 1 Fedora Update System 2012-05-02 10:32:04 EDT
eclipse-shelled-2.0.2-0.3.svn133.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-shelled-2.0.2-0.3.svn133.fc17
Comment 2 Fedora Update System 2012-05-02 16:31:20 EDT
Package eclipse-shelled-2.0.2-0.3.svn133.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-shelled-2.0.2-0.3.svn133.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7062/eclipse-shelled-2.0.2-0.3.svn133.fc17
then log in and leave karma (feedback).
Comment 3 Sami Wagiaalla 2012-05-02 16:50:08 EDT
Tested the update:

Completion is sensitive to the prefix but when I select an entry the entire selected entry is pasted in not just the suffix.

Eg "ec"+ [Ctrl+Space and select echo] results in "ececho" instead of "echo"
Comment 4 Fedora Update System 2012-05-26 02:54:03 EDT
eclipse-shelled-2.0.2-0.3.svn133.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.